import flatPickr from 'flatpickr';
import { AvailableLocales } from './date-time-config';
export declare const hasParent: (node: Node, parent: Node | null) => boolean;
export declare const basicFlatPickrConfig: (locale: AvailableLocales, disabledDates?: Date[], value?: Date | Date[] | undefined, minDate?: Date | undefined, maxDate?: Date | undefined, prevArrow?: string | undefined, nextArrow?: string | undefined) => flatPickr.Options.Options;
export declare type UseClickToCloseArgs = {
    closeFn: () => void;
    targetCheckFn: (target: Node) => boolean;
};
export declare const useClickToClose: (args: UseClickToCloseArgs) => void;
